# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "showdown"
version = "0.13.0"
authors = ["Konrad Borowski <konrad@borowski.pw>"]
description = "Pokemon Showdown Client"
license = "MIT/Apache-2.0"
repository = "https://gitlab.com/KonradBorowski/showdown"
[package.metadata.docs.rs]
all-features = true
[dependencies.chrono]
version = "0.4.1"
optional = true

[dependencies.futures-util]
version = "0.3.0"
features = ["sink"]
default-features = false

[dependencies.reqwest]
version = "0.11.0"
features = ["json"]

[dependencies.serde]
version = "1.0.0"

[dependencies.serde_derive]
version = "1.0.0"

[dependencies.serde_json]
version = "1.0.0"

[dependencies.tokio]
version = "1.0.1"

[dependencies.tokio-native-tls]
version = "0.3.0"

[dependencies.tokio-tungstenite]
version = "0.13.0"
features = ["tls"]

[dependencies.url]
version = "2.1.0"
[dev-dependencies.chrono]
version = "0.4.1"

[dev-dependencies.comparator]
version = "0.2.0"

[dev-dependencies.futures]
version = "0.3.0"

[dev-dependencies.rand]
version = "0.8.1"

[dev-dependencies.tokio]
version = "1.0.1"
features = ["macros", "rt-multi-thread"]
